//■■GCreatorSliderLis.java
//Ver.3.3

//■■インポート
import javax.swing.*;  //必須
import javax.swing.event.*;  //必須

//■■JSliderのイベントリスナー
class GCreatorSliderLis implements ChangeListener
{
  GCreator f;
  int adjustR;
  int adjustG;
  int adjustB;
  
  //■コンストラクタ
  GCreatorSliderLis(GCreator flame)
  {
    f = flame;
  }

  //■JSliderのイベントハンドラ
  public void stateChanged(ChangeEvent e)
  {
    JSlider sld = (JSlider)e.getSource();
    if(sld == f.sldR)
    {
      if(!sld.getValueIsAdjusting()) //スライダー・ノブで数値が決定した
      {
        adjustR = sld.getValue();
      }
    }
    else if(sld == f.sldG)
    {
      if(!sld.getValueIsAdjusting()) //スライダー・ノブで数値が決定した
      {
        adjustG = sld.getValue();
      }
    }
    else if(sld == f.sldB)
    {
      if(!sld.getValueIsAdjusting()) //スライダー・ノブで数値が決定した
      {
        adjustB = sld.getValue();
      }
    }
  }
} //EOF (GCreatorSliderLis.java)
